=== debian/changelog ===
ros-noetic-septentrio-gnss-driver (1.3.1-1focal) focal; urgency=high

  * New Features
    
    Recovery from connection interruption
    
    Add option to bypass configuration of Rx
    
    OSNMA
    
    Latency compensation for ROS timestamps
    
    Output of SBF block VelCovCartesian
    
    Support for UDP and TCP via IP server
    
    New VSM handling allows for unknown variances (INS firmware >= 1.4.1)
    
    Add heading angle to GPSFix msg (by diverting dip field, cf. readme)
  * Improvements
    
    Rework IO core and message handling
    * Unified stream processing
    * Internal data queue
    * Prevent message loss in file reading
    
    Add some explanatory warnings for parameter mismatches
    
    Add units to message definitions
  * Fixes
    
    navsatfix for INS
    
    Empty headers
    
    Single antenna receiver setup
  * Preliminary Features
    
    Output of localization and tf in ECEF frame, testing and feedback welcome

 -- Septentrio <githubuser@septentrio.com>  Wed, 05 Jul 2023 23:00:00 -0000

ros-noetic-septentrio-gnss-driver (1.2.3-1focal) focal; urgency=high

  * New Features
    
    Twist output option
    
    Example config files for GNSS and INS
    
    Get leap seconds from receiver
    
    Firmware check
    
    VSM from odometry or twist ROS messages
    
    Add receiver type in case INS is used in GNSS mode
    
    Add publishing of base vector topics
  * Improvements
    
    Rework RTK corrections parameters and improve flexibility
  * Fixes
    
    /tf not being published without /localization
    
    Twist covariance matrix of localization
    
    Support 5 ms period for IMU explicitly

 -- Septentrio <githubuser@septentrio.com>  Wed, 09 Nov 2022 00:00:00 -0000

ros-noetic-septentrio-gnss-driver (1.1.2-1focal) focal; urgency=high

  * Fixes
    
    Memory corruption under adverse conditions

 -- Septentrio <githubuser@septentrio.com>  Tue, 21 Jun 2022 23:00:00 -0000

ros-noetic-septentrio-gnss-driver (1.1.1-1focal) focal; urgency=high

  * New Features
    
    Add login credentials
    
    Activate NTP server if use_gnss_time is set to true
  * Improvements
    
    Add NED option to localization
  * Fixes
    
    IMU orientation for ROS axis convention
  * Commits
    
    Merge pull request #62 from thomasemter/dev/next
    Small fixes and additions
    
    Amend readme regarding robot_localization
    
    Add more explanations for IMU orientation in ROS convention
    
    Fix formatting in readme
    
    Fix package name in readme
    
    Update readme
    
    Update changelog
    
    Fix IMU orientation for ROS axis orientation
    
    Activate NTP only if GNSS time is used
    
    Add NED option to localization
    
    Set NMEA header to
    
    Fix logging causing crash
    
    Update readme and changelog
    
    Activate NTP server
    
    Add credentials for access control
    
    Contributors: Thomas Emter, Tibor Dome

 -- Septentrio <githubuser@septentrio.com>  Sun, 15 May 2022 23:00:00 -0000

ros-noetic-septentrio-gnss-driver (1.1.0-1focal) focal; urgency=high

  * New Features
    
    Add option to use ROS axis orientations according to REP103
    
    Add frame_id parameters
    
    Add option to get frames from tf
    
    Publishing of cartesian localization in UTM (topic and/or tf) for INS
    
    Publishing of IMU topic for INS
    
    Publishing of MeasEpoch
    
    ROS2 branch
  * Improvements
    
    Add multi antenna option
    
    Increase number of SBF streams
    
    Add option to set polling_period to "on change"
    
    Increased buffer size from 8192 to 131072 bytes
    
    Add endianess aware parsers
    
    Only publish topics set to true
    
    Add parameter to switch DEBUG logging on and off
    
    Change GPxxx messages to ROS built-in types
    
    Remove duplicate INS msg types
  * Fixes
    
    Setting of antenna type
    
    Publishing rate interconnections of gpsfix and velcovgeodetic
    
    Missing quotes for antenna type
    
    Broken attitude parsing pose and gpsfix from INS
    
    IMU orientation was not sent to Rx
    
    Graceful shutdown of threads
  * Commits
    
    Merge branch 'dev'
    
    Prepare new release
    
    Prepare new release
    
    Merge pull request #53 from thomasemter/dev/refactor
    Very last changes
    
    Add geographic lib dependency to package.xml
    
    Add comment for frame of main antenna
    
    Move utm zone locking section in readme
    
    Reformulate readme section on frames
    
    Merge pull request #52 from thomasemter/dev/refactor
    Last changes
    
    Change frame id back to poi_frame_id
    
    Make error log more explicit
    
    Merge pull request #49 from thomasemter/dev/refactor
    Improve IMU blocks sync and do-not-use value handling
    
    Fix buffer size in changelog
    
    Turn off Nagle's algorithm for TCP
    
    Fix changelog formatting
    
    Fix readme
    
    Set default base frame to base_link
    
    Fix valid tow check logic
    
    Increase buffer size for extreme stress tests
    
    Fix crc check
    
    Fix and streamline tf handling
    
    Add checks for validity of values
    
    Fix rad vs deg
    
    Update changelog
    
    Add some comments
    
    Set stdDevMask to values > 0.0 in node
    
    Set stdDevMask to values > 0.0
    
    Add info on RNDIS and set it to default
    
    Increase default serial baud rate
    
    Add parameter to set log level to debug
    
    Change defaults for publishers in node
    
    Put publish params together and fix mismatch in readme
    
    Improve IMU blocks sync and do-not-use value handling
    
    Merge pull request #48 from thomasemter/dev/refactor
    Fix measepoch not publishing without gpsfix
    
    Fix measepoch not publishing without gpsfix
    
    Merge pull request #47 from thomasemter/dev/refactor
    Dev/refactor
    
    Publish only messages set to true
    

