## ros-noetic-septentrio-gnss-driver 1.4.2

=== debian/changelog ===
ros-noetic-septentrio-gnss-driver (1.4.2-1focal) focal; urgency=high

  * Merge branch 'peci1-patch-4'
  * Resolved merge conflict in msg/BlockHeader.msg
  * Merge pull request #144 <https://github.com/septentrio-gnss/septentrio_gnss_driver//issues/144> from thomasemter/master
    Export compiler directives and some minor changes
  * Merge pull request #141 <https://github.com/septentrio-gnss/septentrio_gnss_driver//issues/141> from peci1/patch-1
    Disable SBF/NMEA streams before executing user commands
  * Change unaligned INS publishing behavior
  * Update changelog
  * Update changelog
  * Fix namespace
  * Add missing declaration
  * Update changelog
  * A smoother ROS 1 experience for dual ROS 1 / 2 messages
  * Better handling of different ROS 1 and ROS 2 messages
  * Improve disconnection detection
  * Rework connection and shutwdown
  * Update changelog
  * Merge remote-tracking branch 'upstream/master'
  * Export directives
  * Disable SBF/NMEA streams before executing user commands
    This gives the possibility to configure additional streams in the user commands file.
  * Replace new
  * Add function to set vector to NaN and refactor parsing utilities
  * Add function to set quaternion to NaN
  * Remove msg to be copied
  * Fixes
    * Add export of compiler directives (thanks to @oysstu)
    * ROS 1 rebuild (thanks to @peci1)
  * Improvements
    * Rework TCP connection/reconnection
  * Changes
    * In case INS is not aligned yet but has GNSS heading, a valid orientation with roll and pitch = 0.0 will be published.
  * Contributors: Martin Pecka, Thomas Emter, @oysstu, septentrio-users

 -- Tibor Dome <tibor.doeme@alumni.ethz.ch>  Sat, 22 Feb 2025 00:00:00 -0000

ros-noetic-septentrio-gnss-driver (1.4.1-1focal) focal; urgency=high

  * Fixes
    
    Lever arm calculation from tf
    
    NavSatStatus and GPSFixStatus
    
    Orientation in pose topic of GNSS

 -- Tibor Dome <tibor.doeme@alumni.ethz.ch>  Sat, 03 Aug 2024 23:00:00 -0000

ros-noetic-septentrio-gnss-driver (1.4.0-1focal) focal; urgency=high

  * New features
    
    Send custom commands via ASCII file on startup
    
    Save config to boot after setup
    
    NTP and PTP server options (BREAKING: NTP is not setup automatically for use_gnss_time: true anymore)
    
    Receiver status on /diagnostics
    
    Option to publish only valid SBF block messages
    
    Option to auto publish available messages for configure_rx: false
  * Changes
    
    Change floating point do-not-use-values to NaN (BREAKING in case these values ae used for validity checks downstream)
    
    VSM now uses separate TCP device specified IP server
  * Improvements
    
    Rework some sections of the README
    
    Combine ROS 1 and ROS 2 in one branch
    
    Change GPSFix publishing policy to allow for high update rates

 -- Tibor Dome <tibor.doeme@alumni.ethz.ch>  Mon, 20 May 2024 23:00:00 -0000

ros-noetic-septentrio-gnss-driver (1.3.2-1focal) focal; urgency=high

  * Merge pull request #106 <https://github.com/septentrio-gnss/septentrio_gnss_driver/issues/106> from thomasemter/dev/next2
    Fix IMU units
  * Fix topics namespace
  * Fix units of imu angular rates
  * Merge pull request #96 <https://github.com/septentrio-gnss/septentrio_gnss_driver/issues/96> from septentrio-gnss/dev2
    Dev2
  * Contributors: Thomas Emter, Tibor Dome, septentrio-users

 -- Septentrio <githubuser@septentrio.com>  Sun, 19 Nov 2023 00:00:00 -0000

ros-noetic-septentrio-gnss-driver (1.2.2-1focal) focal; urgency=high

  * Fixes
    
    Memory corruption under adverse conditions
  * Commits
    
    Merge pull request #66 from thomasemter/dev/next2
    Fix memory corruption
    
    Fix parameter warnings
    
    Reset buffer size to 16384
    
    Update changelog
    
    Fix memory corruption
    
    Replace maps with unordered_maps
    
    Overload timestamp function
    
    Fix frame ids for INS msgs
    
    Add define to avoid usage of deprecated header
    
    Change readme on gps-msgs packet
    
    Add info on user credentials
    
    Fix spelling in readme
    
    Merge remote-tracking branch 'upstream/ros2' into dev/next2
    
    Add comment for heading from pose
    
    Contributors: Thomas Emter, Tibor Dome

 -- Tibor Dome <tibor.doeme@alumni.ethz.ch>  Tue, 21 Jun 2022 23:00:00 -0000

ros-noetic-septentrio-gnss-driver (1.2.1-1focal) focal; urgency=high

  * New Features
    
    Add login credentials
    
    Activate NTP server if use_gnss_time is set to true
  * Improvements
    
    Add NED option to localization
  * Fixes
    
    IMU orientation for ROS axis convention
  * Commits
    
    Merge pull request #63 from thomasemter/dev/next2
    Small fixes and additions
    
    Merge pull request #60 from wep21/support-rolling
    fix: modify build error for rolling/humble
    
    Revert change for deprecation warning in Humble
    
    Change links to reflect ROS2
    
    Amend readme regarding robot_localization
    
    Fix compiler warnings for humble
    
    Add more explanations for IMU orientation in ROS convention
    
    Fix formatting in readme
    
    Fix package name in readme
    
    Update readme
    
    Update changelog
    
    Fix IMU orientation for ROS axis orientation
    
    Activate NTP only if GNSS time is used
    
    Add NED option to localization
    
    Set NMEA header to GP
    
    Update readme and changelog
    
    Activate NTP server
    
    Add credentials for access control
    
    fix: modify build error for rolling/humble
    
    Contributors: Daisuke Nishimatsu, Thomas Emter, Tibor Dome

 -- Tibor Dome <tibor.doeme@alumni.ethz.ch>  Sun, 15 May 2022 23:00:00 -0000

ros-noetic-septentrio-gnss-driver (1.2.0-1focal) focal; urgency=high

  * New Features
    
    Add option to use ROS axis orientations according to REP103
    
    Add frame_id parameters
    
    Add option to get frames from tf
    

